Bug 149409 - Add online/offline button to the systray context menu
Summary: Add online/offline button to the systray context menu
Status: RESOLVED FIXED
Alias: None
Product: kmail
Classification: Applications
Component: keys and menus (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-31 09:14 UTC by schmirrwurst
Modified: 2012-10-16 11:32 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.10


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description schmirrwurst 2007-08-31 09:14:03 UTC
Version:           1.9.6 (enterprise 0.20070824.704228) (using KDE 3.5.7, Kubuntu (gutsy) 4:3.5.7-1ubuntu14)
Compiler:          Target: i486-linux-gnu
OS:                Linux (i686) release 2.6.22-10-generic

I think a offline/online button on the kmail applet in the taskbar would be something nice...
Actually, you need to open the program and do it from the main menu, what takes time...
From the applet in kicker would be quicker...

There is also no notifier in the kontact taskbar, to display information about the current status from kontact (online/offline) would be also a nice feature...

My third wish, that is probably more difficult to realise, where to add a feature, enabling kontact to get the state from knetwork manager....

Sometimes small feature, can really improve the way you're working, and save you a lot time.
Comment 1 Thomas McGuire 2007-09-20 20:36:14 UTC
AFAIK, in later versions of KMail (or was it only the Suse version?), KMail gets the network status from network manager.

It is called systray, not taskbar, by the way.
Comment 2 Björn Ruberg 2010-01-10 23:28:42 UTC
For me, online and offline is mode is not signaled by networkManager
Comment 3 Myriam Schweingruber 2012-08-18 08:24:12 UTC
Thank you for your feature request. Kmail1 is currently unmaintained so we are closing all wishes. Please feel free to reopen a feature request for Kmail2 if it has not already been implemented.
Thank you for your understanding.
Comment 4 Luigi Toscano 2012-08-19 00:25:55 UTC
Instead of creating a new feature request, please confirm here if the wishlist is still valid for kmail2.
Comment 5 Laurent Montel 2012-10-16 11:32:14 UTC
Git commit 76c7d23110578f0565b2741cbb8d607b92fe63e4 by Montel Laurent.
Committed on 16/10/2012 at 13:31.
Pushed by mlaurent into branch 'master'.

Fix Bug 149409 - Add online/offline button to the systray context menu

FIXED-IN: 4.10

M  +5    -0    kmail/kmsystemtray.cpp

http://commits.kde.org/kdepim/76c7d23110578f0565b2741cbb8d607b92fe63e4